/**
 * The Video class represents a video object. Information about the 
 * video is stored and can be retrieved.
 * 
 * @author Michael Kolling and David J. Barnes
 * @version 2002-05-02
 */
public class DVD extends Item
{
    private String director;

    /**
     * Constructor for objects of class Video
     */
    public DVD(String theTitle, String theDirector, int time)
    {
        super(theTitle, time);
        director = theDirector;
    }

    /**
     * Return the director for this DVD.
     */
    public String getDirector()
    {
        return director;
    }

  
    
    /**
     * Print details about this video to the text terminal.
     */
    public void print()
    {
        System.out.print("DVD: " + getTitle() + " (" + getPlayingTime() + " mins)");
        if(getGotIt()) {
            System.out.println("*");
        } else {
            System.out.println();
        }
        System.out.println("    " + director);
        System.out.println("    " + getComment());
    }
}
