import java.util.ArrayList;
import java.util.Iterator;

/**
 * The database class provides a facility to store CD and DVD 
 * objects. A list of all CDs and DVDs can be printed to the
 * terminal.
 * 
 * This version does not save the data to disk.
 * 
 * @author Michael Kolling and David J. Barnes
 * @version 2002-05-02
 */
public class Database
{
    // add "books" here, and initialize in the constructor -- pld
    private ArrayList<CD> cds;
    private ArrayList<DVD> dvds;

    /**
     * Construct an empty Database.
     */
    public Database()
    {
        cds = new ArrayList<CD>();
        dvds = new ArrayList<DVD>();
    }

    /**
     * Add a CD to the database.
     */
    public void addCD(CD theCD)
    {
        cds.add(theCD);
    }

    /**
     * Add a DVD to the database.
     */
    public void addDVD(DVD theDVD)
    {
        dvds.add(theDVD);
    }

    /**
     * Print a list of all currently stored CDs and DVDs to the
     * text terminal.
     */
    public void list()
    {
        // print list of CDs
        for(CD cd : cds ) {
            cd.print();
            System.out.println();   // empty line between items
        }

        // print list of DVDs
        for(DVD dvd: dvds ) {
            dvd.print();
            System.out.println();   // empty line between items
        }
        // now books & games -- pld
    }
    
    /**
     * The following should search CDs, DVDs, Books, Games 
     * in turn for anything with a title
     * that contains the string "srchkey". 
     * Make the comparisons case-insensitive by converting to lowercase.
     * -- pld
     */
    public void search (String srchkey) {
    }
    
    /**
     * Add a few entries for demo purposes - pld
     */
    public void add_demo() {
        addCD (new CD("Blood Money", "Tom Waits", 14, 63));
        addCD (new CD("bad hair day", "Weird Al Yankovic", 12, 65));
        addCD (new CD("Songs in the Key of Life", "Stevie Wonder", 21, 120));
        addDVD (new DVD("The Harder They Come", "Perry Henzell", 104));
        addDVD (new DVD("Brazil", "Terry Gilliam", 118));
        addDVD (new DVD("Monty Python's Meaning of Life", "Terry Jones & Terry Gilliam", 90));
        addDVD (new DVD("The Secret Life of Walter Mitty", "Mark Waters", 110));
        addDVD (new DVD("Life or Something Like It", "Stephen Herek", 98));
        //addGame(new Game("Warcraft", "Blizzard", 1));
        //addBook(new Book("The Secret Life of Walter Mitty", "James Thurber"));
    }
}
